Subject: bug#9890: closed (Re: bug#9890: cosmetic bug in AM_MAINTAINER_MODE)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Nov 2011 10:35:05 +0000

Your bug report

#9890: cosmetic bug in AM_MAINTAINER_MODE

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9890: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9890
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9890: cosmetic bug in AM_MAINTAINER_MODE
From: Stefano Lattarini <[email-masked]>
To: Zack Weinberg <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 3 Nov 2011 11:31:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Saturday 29 October 2011, Zack Weinberg wrote:
> On 2011-10-29 3:18 AM, Stefano Lattarini wrote:
> > Zack, are you the same "Zack Weinberg" already listed in the THANKS file
> > with the address "[email-masked]"?  If yes, should I update that
> > address?
> 
> Yes I am, and yes you should update that address.  I left CodeSourcery 
> in 2005, but I mean [email-masked] to remain valid indefinitely.
> 
I've amended the THANKS file, and pushed the patch.  I'm thus closing
this bug report.

Regards,
  Stefano

Subject: cosmetic bug in AM_MAINTAINER_MODE
From: Zack Weinberg <[email-masked]>
To: [email-masked]
Date: Thu, 27 Oct 2011 10:37:34 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

If you use AM_MAINTAINER_MODE([enable]), configure will print

> checking whether to disable maintainer-specific portions of Makefiles ... yes

when --disable-maintainer-mode was *not* given on the command line, and

> checking whether to disable maintainer-specific portions of Makefiles ... no

when it *was* given.  This states the opposite of what has actually happened.

The easiest way to fix this cosmetic bug is to not use
am_maintainer_other in the first argument to AC_MSG_CHECKING.  The
result code ($USE_MAINTAINER_MODE) is "yes" if maintainer mode is
enabled and "no" if it isn't, regardless of what the default was, so
it will always be correct to say "checking whether to enable ...".
Patch attached.

(Bug found in automake/aclocal 1.11, but maintainer.m4 doesn't seem to
have been modified in a long time.)

zw
--- maintainer.m4	2010-02-01 16:59:15.000000000 -0800
+++ maintainer.m4	2011-10-27 10:05:55.876911074 -0700
@@ -1,7 +1,7 @@
 # Add --enable-maintainer-mode option to configure.         -*- Autoconf -*-
 # From Jim Meyering
 
-# Copyright (C) 1996, 1998, 2000, 2001, 2002, 2003, 2004, 2005, 2008
+# Copyright (C) 1996, 1998, 2000, 2001, 2002, 2003, 2004, 2005, 2008, 2011
 # Free Software Foundation, Inc.
 #
 # This file is free software; the Free Software Foundation
@@ -22,7 +22,7 @@
        [disable], [m4_define([am_maintainer_other], [enable])],
        [m4_define([am_maintainer_other], [enable])
         m4_warn([syntax], [unexpected argument to AM@&t@_MAINTAINER_MODE: $1])])
-AC_MSG_CHECKING([whether to am_maintainer_other maintainer-specific portions of Makefiles])
+AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
   dnl maintainer-mode's default is 'disable' unless 'enable' is passed
   AC_ARG_ENABLE([maintainer-mode],
 [  --][am_maintainer_other][-maintainer-mode  am_maintainer_other make rules and dependencies not useful